Bug 104536 - 10bpc regression
Summary: 10bpc regression
Status: NEW
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2018-01-08 06:52 UTC by Tapani Pälli
Modified: 2018-03-28 06:51 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
screenshot (104.75 KB, image/jpeg)
2018-01-08 06:52 UTC, Tapani Pälli
Details
disallow rgb10 configs (975 bytes, patch)
2018-01-08 07:29 UTC, Tapani Pälli
Details | Splinter Review
disallow rgb10 configs (1.08 KB, patch)
2018-01-08 08:39 UTC, Tapani Pälli
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tapani Pälli 2018-01-08 06:52:17 UTC
Created attachment 136608 [details]
screenshot

Regression observed on Ubuntu, bisected to:

9e63cbacb6bc10b4426fc2af4989fbdc86ec4167
Comment 1 Tapani Pälli 2018-01-08 07:29:31 UTC
Created attachment 136609 [details] [review]
disallow rgb10 configs

suggesting this for now ...
Comment 2 Tapani Pälli 2018-01-08 07:39:20 UTC
Comment on attachment 136609 [details] [review]
disallow rgb10 configs

Review of attachment 136609 [details] [review]:
-----------------------------------------------------------------

except this is not enough ... will provide better patch
Comment 3 Tapani Pälli 2018-01-08 08:39:48 UTC
Created attachment 136610 [details] [review]
disallow rgb10 configs
Comment 4 Tapani Pälli 2018-01-11 06:15:54 UTC
This is now resolved by disabling rgb10 configs by following commit. However a real fix is still needed to be able to enable the configs.

--- 8< ---
commit b391fb26df9f1b0c1673cb79be2478b0fe459f9e
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Mon Jan 8 17:58:27 2018 +0100

    dri_util: remove ALLOW_RGB10_CONFIGS option (v2)
    
    This is unused because it's for libGL/libEGL, not drivers.
    
    v2: i965 was wrong, because it used dri_util instead of its own config.
    
    Reviewed-by: Tapani Pälli <tapani.palli@intel.com>
Comment 5 Eero Tamminen 2018-01-11 12:01:39 UTC
(In reply to Tapani Pälli from comment #4)
> This is now resolved by disabling rgb10 configs by following commit.

Verified, gnome-terminal content, alpha-blended window borders with Ubuntu compiz and Chromium tooltips look fine again with latest Mesa git.


> However a real fix is still needed to be able to enable the configs.

Should this be kept option until there's a real fix?
Comment 6 Tapani Pälli 2018-01-12 06:32:43 UTC
(In reply to Eero Tamminen from comment #5)
> (In reply to Tapani Pälli from comment #4)
> > This is now resolved by disabling rgb10 configs by following commit.
> 
> Verified, gnome-terminal content, alpha-blended window borders with Ubuntu
> compiz and Chromium tooltips look fine again with latest Mesa git.
> 
> 
> > However a real fix is still needed to be able to enable the configs.
> 
> Should this be kept option until there's a real fix?

Yep, let's leave this open until fixed. Would be good to get exact sofware component versions from the CI machines that hit this, if possible.
Comment 7 Tapani Pälli 2018-03-28 06:51:32 UTC
I've tested that this is fixed for Ubuntu 18.04. I enabled 10bpc visuals and can see bunch of them in glxinfo list. Desktop and icons render correctly. Will do further testing with 16.04 later.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.